package com.ruoyi.basic.api;

import com.ruoyi.basic.api.domain.HwTenant;
import com.ruoyi.basic.api.factory.RemoteBasicFallbackFactory;
import com.ruoyi.common.core.constant.SecurityConstants;
import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.domain.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.List;


/**
 * @Description: 基本服务
 * @ClassName: RemoteTenantService
 * @Author  : xins
 * @Date    :2023-09-16  21:46
 * @Version :1.0
 */
@FeignClient(contextId = "remoteBasicService", value = ServiceNameConstants.BASIC_SERVICE, fallbackFactory = RemoteBasicFallbackFactory.class)
public interface RemoteBasicService {

    @GetMapping("/tenant/getTenants")
    R<List<HwTenant>> getTenants(@RequestHeader(SecurityConstants.FROM_SOURCE) String source);
}
