package com.ruoyi.common.core.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 平台常量字典信息
 * @ClassName: HwDictConstants
 * @Author : xins
 * @Date :2023-09-03  12:27
 * @Version :1.0
 */
public class HwDictConstants {

    public static final String EFFECTIVE_TIME_FLAG_LONG = "1";//长期有效
    public static final String EFFECTIVE_TIME_FLAG_RANGE = "2";//时间范围

    public static final String AREA_SHAPE_FLAG_POLYGN = "1";//多边形
    public static final String AREA_SHAPE_FLAG_CIRCULA = "2";//圆形

    public static final String DEFAULT_FUNCTION_LONGITUDE_IDENTIFIER = "longitude";//经度标识符
    public static final String DEFAULT_FUNCTION_LATITUDE_IDENTIFIER = "latitude";//纬度标识符

    public static final String ELECTRONIC_FENCE_TRIGGER_STATUS_EXIT = "1";//电子围栏触发状态：出界
    public static final String ELECTRONIC_FENCE_TRIGGER_STATUS_ENTRY = "2";//电子围栏触发状态：入界

    public static final String ALARM_INFO_TYPE_DEVICE = "1";//设备报警
    public static final String ALARM_INFO_TYPE_MONITOR_UNIT = "2";//监控单元
    public static final String ALARM_INFO_TYPE_OFFLINE = "3";//离线报警
    public static final String ALARM_INFO_TYPE_ELECTRONIC_FENCE = "4";//电子围栏

    public static final String FUNCTION_MODE_ATTRIBUTE = "1";//设备模型功能模式属性
    public static final String FUNCTION_MODE_SERVICE = "2";//设备模型功能模式服务
    public static final String FUNCTION_MODE_EVENT = "3";//设备模型功能模式事件

    public static final String RW_FLAG_RW = "1";//读写
    public static final String RW_FLAG_READ = "2";//只读

    public static final String DEVICE_STATUS_PUBLISH = "1";//设备状态：已发布
    public static final String DEVICE_STATUS_TEST = "0";//设备状态：已发布
    public static final String DEVICE_STATUS_DELETE = "9";//设备状态：已发布

    public static final String DEVICE_ACTIVE_STATUS_INACTIVE = "0";//设备激活状态：未激活
    public static final String DEVICE_ACTIVE_STATUS_ACTIVE = "1";//设备激活状态：激活

    public static final String DEVICE_ONLINE_STATUS_ONLINE = "1";//在线状态
    public static final String DEVICE_ONLINE_STATUS_OFFLINE = "0"; //离线状态

    public static final String FENCE_TYPE_DEVICE = "1";//电子围栏规则类型，设备
    public static final String FENCE_TYPE_MONITOR_UNIT = "2";//电子围栏规则类型，监控单元
    public static final String FENCE_TYPE_SCENE = "3";//电子围栏规则类型，场景

    public static final String FENCE_PUSH_FLAG_YES = "1";//报警推送标识：是
    public static final String FENCE_PUSH_FLAG_NO = "0";//报警推送标识：否

    public static final String CONTROL_DEVICE = "1";//监控型设备

    public static final String ACQUISITION_DEVICE = "2";//采集型设备

    public static final String CONTROL_DEVICE_NAME = "control";//监控型设备

    public static final String ACQUISITION_DEVICE_NAME = "acquisition";//采集型设备

    public static final String DEVICE_DEFAULT_FLAG_YES = "1";//默认是
    public static final String DEVICE_DEFAULT_FLAG_NO = "0";//默认否

    public static final Long ADMINISTRATOR_TENANT_ID = 1L;//金瑞铭租户ID

    public static final String DEVICE_TYPE_GATEWAY_DEVICE = "1";//网关设备
    public static final String DEVICE_TYPE_GATEWAY_SUB_EQUIPMENT = "2";//网关子设备
    public static final String DEVICE_TYPE_DIRECT_CONNECT_DEVICE = "3";//直连设备

    public static final String DEVICE_NETWORKING_MODE_WIFI = "1";//设备联网方式：WiFi
    public static final Long DEVICE_ACCESS_PROTOCOL_MQTT = 1L;//设备接入协议：MQTT
    public static final Long DEVICE_DATA_FORMAT_JSON = 1L;//数据格式：JSON

    public static final String REDIS_KEY_DEVICE_INFO = "hw_device_info";//保存设备用户名和密码等信息的redis的key

    public static final String REDIS_KEY_ONLINE_DEVICE_COUNT_INFO = "online_device_count";//按照天存放每天设备在线数量

    public static final String DEVICE_MODE_STATUS_NORMAL = "1";//设备模型正常状态
    public static final String DEVICE_MODE_STATUS_DELETED = "9";//设备模型删除状态

    public static final String DEVICE_MODE_FUNCTION_DISPLAY_FLAG_NO = "0";//设备模型功能显示标识，不显示


    public static final String SCENE_DEFAULT_FLAG_YES = "1";//场景是否默认标识：是
    public static final String SCENE_DEFAULT_FLAG_NO = "0";//场景是否默认标识：否


    public static final Long SCENE_MODE_STANDARD = 1L;//场景类型：标准
    public static final Long SCENE_MODE_GPS = 2L;//场景类型：定位

    public static final String ROUTER_STANDARD = "smartScene";//标准场景路由地址
    public static final String ROUTER_GPS = "GPS";//定位场景路由地址

    public static final Map<Long, String> SCENE_MODE_ROUTER_MAP = new HashMap<>();

    static {
        SCENE_MODE_ROUTER_MAP.put(SCENE_MODE_STANDARD, ROUTER_STANDARD);
        SCENE_MODE_ROUTER_MAP.put(SCENE_MODE_GPS, ROUTER_GPS);
    }


    public static final String ALARM_HANDLE_STATUS_YES = "1";//已处理
    public static final String ALARM_HANDLE_STATUS_NO = "0";//未处理

    public static final String SCENE_STATUS_NORMAL = "1";//场景正常状态
    public static final String SCENE_STATUS_DELETED = "9";//场景删除状态

    public static final String CONTROL_COMMAND_REDIS_KEY = "mqtt:channel:down";//下发控制指令到redis的key
    public static final String CONTROL_COMMAND_TOPIC_VALUE = "/v1/{}/device/command";//下发控制指令的topic
    public static final String CONTROL_COMMAND_TOPIC_KEY = "Topic";
    public static final String CONTROL_COMMAND_PAYLOAD_KEY = "Payload";
    public static final String CONTROL_COMMAND_PAYLOAD_MID_KEY = "mid";

    public static final String CONTROL_COMMAND_PAYLOAD_UID_KEY = "uid";
    public static final String CONTROL_COMMAND_PAYLOAD_TIMESTAMP_KEY = "timestamp";
    public static final String CONTROL_COMMAND_PAYLOAD_TYPE_KEY = "type";
    public static final String CONTROL_COMMAND_PAYLOAD_PARAM_KEY = "param";

    public static final String TOPIC_TYPE_DATA_POSTFIX = "data"; //上报数据topic后缀
    public static final String TOPIC_TYPE_COMMAND_POSTFIX = "command";//下发指令topic后缀
    public static final String TOPIC_TYPE_REPLY_POSTFIX = "reply";//响应指令topic后缀

    public static final String DEVICEMODE_GPS_FLAG_NO = "0";//设备模型，非定位模型

    public static final String TENANT_STATUS_NORMAL = "1";//租户状态：正常
    public static final String TENANT_STATUS_DELETED = "9";//租户状态：正常
    public static final String TENANT_IS_REGISTER_EXTERNAL = "0";//租户是否外部注册：否


    public static final String MONITOR_UNIT_STATUS_NORMAL = "1";//监控单元状态：正常
    public static final String MONITORY_UNIT_STATUS_DELETE = "9";//监控单元状态，删除

    public static final String TRIGGER_CONDITION_FUNCTION_IDENTIFIER = "identifier";
    public static final String TRIGGER_DATA_A = "dataA";
    public static final String TRIGGER_DATA_B = "dataB";

    public static final String DATA_MORE_THAN_A = "1";
    public static final String DATA_LESS_THAN_B = "2";
    public static final String DATA_MORE_THAN_A_AND_LESS_THAN_B = "3";
    public static final String DATA_LESS_THAN_A_OR_MORE_THAN_B = "4";
    public static final String DATA_EQUAL_A = "5";

    public static final Map<String, String> triggerConditionMap = new HashMap<String, String>();

    static {
        triggerConditionMap.put(DATA_MORE_THAN_A, "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + ">" + TRIGGER_DATA_A);
        triggerConditionMap.put(DATA_LESS_THAN_B, "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + "<" + TRIGGER_DATA_A);
        triggerConditionMap.put(DATA_MORE_THAN_A_AND_LESS_THAN_B, "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + ">" + TRIGGER_DATA_A +
                " and " + "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + "<" + TRIGGER_DATA_B);
        triggerConditionMap.put(DATA_LESS_THAN_A_OR_MORE_THAN_B, "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + "<" + TRIGGER_DATA_A +
                " or " + "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + ">" + TRIGGER_DATA_B);
        triggerConditionMap.put(DATA_EQUAL_A, "{" + TRIGGER_CONDITION_FUNCTION_IDENTIFIER + "}" + "=" + TRIGGER_DATA_A);
    }


    public static final String ALARM_PUSH_FLAG_NO = "0";//报警推送标识：否
    public static final String ALARM_PUSH_FLAG_YES = "1";//报警推送标识：是

    public static final String ALARM_RULE_LINK_FLAG_NO = "0";//报警联动标识：否
    public static final String ALARM_RULE_LINK_FLAG_YES = "1";//报警联动标识：是

    public static final String ALARM_RULE_RULE_TYPE_DEVICEMODE = "1";//报警规则规则类型：设备模型
    public static final String ALARM_RULE_RULE_TYPE_DEVICE = "2";//报警规则规则类型：设备

    public static final String ALARM_RULE_STATUS_ENABLE = "1";//;报警规则状态：启用
    public static final String ALARM_RULE_STATUS_DISABLE = "0";//报警规则状态：禁用
    public static final String ALARM_RULE_STATUS_DELETED = "9";//报警规则状态：删除

    public static final String ALARM_INFO_FLAG_YES = "1";//有关联报警信息；
    public static final String ALARM_INFO_FLAG_NO = "0";//无关联报警信息；


    public static final String ALARM_LEVEL_COMMON_FLAG_YES = "1";//报警级别通用标识：是
    public static final String ALARM_LEVEL_COMMON_FLAG_NO = "0";//报警级别通用标识：否

    public static final String ALARM_TYPE_COMMON_FLAG_YES = "1";//报警类型通用标识：是
    public static final String ALARM_TYPE_COMMON_FLAG_NO = "0";//报警类型通用标识：否

    public static final String OFFLINE_RULE_TYPE_DEVICE = "1";//离线报警规则类型：设备
    public static final String OFFLINE_RULE_TYPE_SCENE = "3";//离线报警规则类型：场景

}
