package com.ruoyi.common.core.enums;


import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public enum DeviceTypeEnums {

    /**
     * 	网关设备
     */
    GATEWAY_DEVICE("1","网关设备"),

    /**
     * 网关子设备
     */
    SUB_DEVICE("2", "网关子设备"),

    /**
     * 直连设备
     */
    DIRECT_CONNECT_DEVICE("3", "直连设备");


    // 属性值与属性名Map
    public static final Map<String, String> dataCodeTypeMap = Arrays.stream(values()).collect(
            Collectors.toMap(
                    DeviceTypeEnums::getDataCode,
                    DeviceTypeEnums::getDataType
            )
    );

    // 属性名与属性值Map
    public static final Map<String, String> dataTypeCodeMap = Arrays.stream(values()).collect(
            Collectors.toMap(
                    DeviceTypeEnums::getDataType,
                    DeviceTypeEnums::getDataCode
            )
    );

    // 性别值
    private final String dataCode;

    // 性别名
    private final String dataType;

    DeviceTypeEnums(String dataCode, String dataType) {
        this.dataCode = dataCode;
        this.dataType = dataType;
    }

    public String getDataCode() {
        return dataCode;
    }

    public String getDataType() {
        return dataType;
    }

}
