package com.ruoyi.basic.controller;



import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.basic.domain.LayoutConfig;
import com.ruoyi.basic.service.LayoutConfigService;

import com.ruoyi.common.core.web.domain.AjaxResult;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 布局配置表(LayoutConfig)表控制层
 *
 * @author makejava
 * @since 2024-08-26 16:38:10
 */
@RestController
@RequestMapping("layoutConfig")
public class LayoutConfigController {
    /**
     * 服务对象
     */
    @Resource
    private LayoutConfigService layoutConfigService;

    /**
     * 分页查询
     *
     * @param layoutConfig 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<LayoutConfig>> queryByPage(LayoutConfig layoutConfig, PageRequest pageRequest) {
        return ResponseEntity.ok(this.layoutConfigService.queryByPage(layoutConfig, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<LayoutConfig> queryById(@PathVariable("id") Long id) {
        return ResponseEntity.ok(this.layoutConfigService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param layoutConfig 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<LayoutConfig> add(LayoutConfig layoutConfig) {
        return ResponseEntity.ok(this.layoutConfigService.insert(layoutConfig));
    }

    /**
     * 编辑数据
     *
     * @param layoutConfig 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<LayoutConfig> edit(LayoutConfig layoutConfig) {
        return ResponseEntity.ok(this.layoutConfigService.update(layoutConfig));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(Long id) {
        return ResponseEntity.ok(this.layoutConfigService.deleteById(id));
    }
    //    添加组件新配置
    @PostMapping("/insertLayoutConfig")
    public AjaxResult insertLayoutConfig(@RequestBody Map<String,Object> config) throws JsonProcessingException {
        System.out.println(config.get("items"));
        List<Object> items = (List<Object>)config.get("items");
        String option = config.get("option").toString();
        return layoutConfigService.insertSceneConfig(items,option);

    }
    //    查询所有场景
    @GetMapping("/selectAllScenes")
    public AjaxResult selectAllScenes(){
        return layoutConfigService.selectAllScenes();
    }

    //    根据场景id查询
    @GetMapping("selectConfigById")
    public AjaxResult selectConfigById(String sceneId){
        return layoutConfigService.selectConfigById(sceneId);
    }

}
