package com.ruoyi.basic.controller;


import com.ruoyi.basic.domain.LayoutDesc;
import com.ruoyi.basic.service.LayoutDescService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 布局详情表(LayoutDesc)表控制层
 *
 * @author makejava
 * @since 2024-08-26 16:47:45
 */
@RestController
@RequestMapping("layoutDesc")
public class LayoutDescController {
    /**
     * 服务对象
     */
    @Resource
    private LayoutDescService layoutDescService;

    /**
     * 分页查询
     *
     * @param layoutDesc 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<LayoutDesc>> queryByPage(LayoutDesc layoutDesc, PageRequest pageRequest) {
        return ResponseEntity.ok(this.layoutDescService.queryByPage(layoutDesc, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<LayoutDesc> queryById(@PathVariable("id") Long id) {
        return ResponseEntity.ok(this.layoutDescService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param layoutDesc 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<LayoutDesc> add(LayoutDesc layoutDesc) {
        return ResponseEntity.ok(this.layoutDescService.insert(layoutDesc));
    }

    /**
     * 编辑数据
     *
     * @param layoutDesc 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<LayoutDesc> edit(LayoutDesc layoutDesc) {
        return ResponseEntity.ok(this.layoutDescService.update(layoutDesc));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(Long id) {
        return ResponseEntity.ok(this.layoutDescService.deleteById(id));
    }

}
