package com.ruoyi.basic.mapper;

import com.ruoyi.basic.domain.LayoutConfig;
import com.ruoyi.basic.domain.LayoutDesc;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 布局配置表(LayoutConfig)表数据库访问层
 *
 * @author makejava
 * @since 2024-08-26 16:38:12
 */
public interface LayoutConfigDao {

    /**
     * 通过ID查询单条数据
     *
     * @param configId 主键
     * @return 实例对象
     */
    LayoutConfig queryById(Long configId);

    /**
     * 查询指定行数据
     *
     * @param layoutConfig 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<LayoutConfig> queryAllByLimit(LayoutConfig layoutConfig, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param layoutConfig 查询条件
     * @return 总行数
     */
    long count(LayoutConfig layoutConfig);

    /**
     * 新增数据
     *
     * @param layoutConfig 实例对象
     * @return 影响行数
     */
    int insert(LayoutConfig layoutConfig);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<LayoutConfig> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<LayoutConfig> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<LayoutConfig> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<LayoutConfig> entities);

    /**
     * 修改数据
     *
     * @param layoutConfig 实例对象
     * @return 影响行数
     */
    int update(LayoutConfig layoutConfig);

    /**
     * 通过主键删除数据
     *
     * @param configId 主键
     * @return 影响行数
     */
    int deleteById(Long configId);

    List<LayoutConfig> selectConfigById(String sceneId);

    List<LayoutDesc> selectAllScenes();
}
