package com.ruoyi.basic.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.basic.domain.LayoutConfig;
import com.ruoyi.common.core.web.domain.AjaxResult;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 布局配置表(LayoutConfig)表服务接口
 *
 * @author makejava
 * @since 2024-08-26 16:38:28
 */
public interface LayoutConfigService {

    /**
     * 通过ID查询单条数据
     *
     * @param configId 主键
     * @return 实例对象
     */
    LayoutConfig queryById(Long configId);

    /**
     * 分页查询
     *
     * @param layoutConfig 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<LayoutConfig> queryByPage(LayoutConfig layoutConfig, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param layoutConfig 实例对象
     * @return 实例对象
     */
    LayoutConfig insert(LayoutConfig layoutConfig);

    /**
     * 修改数据
     *
     * @param layoutConfig 实例对象
     * @return 实例对象
     */
    LayoutConfig update(LayoutConfig layoutConfig);

    /**
     * 通过主键删除数据
     *
     * @param configId 主键
     * @return 是否成功
     */
    boolean deleteById(Long configId);

    AjaxResult insertSceneConfig(List<Object> items, String option) throws JsonProcessingException;

    AjaxResult selectConfigById(String sceneId);

    AjaxResult selectAllScenes();

}
