package com.ruoyi.basic.service;


import com.ruoyi.basic.domain.LayoutDesc;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 布局详情表(LayoutDesc)表服务接口
 *
 * @author makejava
 * @since 2024-08-26 16:47:47
 */
public interface LayoutDescService {

    /**
     * 通过ID查询单条数据
     *
     * @param layoutId 主键
     * @return 实例对象
     */
    LayoutDesc queryById(Long layoutId);

    /**
     * 分页查询
     *
     * @param layoutDesc 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<LayoutDesc> queryByPage(LayoutDesc layoutDesc, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param layoutDesc 实例对象
     * @return 实例对象
     */
    LayoutDesc insert(LayoutDesc layoutDesc);

    /**
     * 修改数据
     *
     * @param layoutDesc 实例对象
     * @return 实例对象
     */
    LayoutDesc update(LayoutDesc layoutDesc);

    /**
     * 通过主键删除数据
     *
     * @param layoutId 主键
     * @return 是否成功
     */
    boolean deleteById(Long layoutId);

}
