package com.ruoyi.dataprocess.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 报警详情信息对象 hw_alarm_detail
 * 
 * @author xins
 * @date 2023-11-07
 */
public class HwAlarmDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 报警详细信息ID */
    private Long alarmDetailId;

    /** 关联hw_alarm_info的alarm_info_id */
    @Excel(name = "关联hw_alarm_info的alarm_info_id")
    private Long alarmInfoId;

    /** 报警设备ID，关联hw_device表的device_id字段 */
    @Excel(name = "报警设备ID，关联hw_device表的device_id字段")
    private Long deviceId;

    /** 设备模型功能ID */
    @Excel(name = "设备模型功能ID")
    private Long modeFunctionId;

    /** 功能名称 */
    @Excel(name = "功能名称")
    private String functionName;

    /** 标识符 */
    @Excel(name = "标识符")
    private String functionIdentifier;

    /** 值 */
    @Excel(name = "值")
    private String functionValue;

    /** 监测时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "监测时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date monitorTime;

    public void setAlarmDetailId(Long alarmDetailId) 
    {
        this.alarmDetailId = alarmDetailId;
    }

    public Long getAlarmDetailId() 
    {
        return alarmDetailId;
    }
    public void setAlarmInfoId(Long alarmInfoId) 
    {
        this.alarmInfoId = alarmInfoId;
    }

    public Long getAlarmInfoId() 
    {
        return alarmInfoId;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setModeFunctionId(Long modeFunctionId) 
    {
        this.modeFunctionId = modeFunctionId;
    }

    public Long getModeFunctionId() 
    {
        return modeFunctionId;
    }
    public void setFunctionName(String functionName) 
    {
        this.functionName = functionName;
    }

    public String getFunctionName() 
    {
        return functionName;
    }
    public void setFunctionIdentifier(String functionIdentifier) 
    {
        this.functionIdentifier = functionIdentifier;
    }

    public String getFunctionIdentifier() 
    {
        return functionIdentifier;
    }
    public void setFunctionValue(String functionValue) 
    {
        this.functionValue = functionValue;
    }

    public String getFunctionValue() 
    {
        return functionValue;
    }
    public void setMonitorTime(Date monitorTime) 
    {
        this.monitorTime = monitorTime;
    }

    public Date getMonitorTime() 
    {
        return monitorTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alarmDetailId", getAlarmDetailId())
            .append("alarmInfoId", getAlarmInfoId())
            .append("deviceId", getDeviceId())
            .append("modeFunctionId", getModeFunctionId())
            .append("functionName", getFunctionName())
            .append("functionIdentifier", getFunctionIdentifier())
            .append("functionValue", getFunctionValue())
            .append("monitorTime", getMonitorTime())
            .toString();
    }
}
