package com.ruoyi.dataprocess.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 离线报警规则对象 hw_offline_rule
 * 
 * @author xins
 * @date 2023-11-13
 */
public class HwOfflineRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 离线报警规则ID */
    @Excel(name = "离线报警规则ID")
    private Long offlineRuleId;

    /** 离线报警规则名称 */
    @Excel(name = "离线报警规则名称")
    private String offlineRuleName;

    /** 租户ID，关联hw_tenant的tenant_id */
    @Excel(name = "租户ID")
    private Long tenantId;

    /** 所属场景，关联hw_scene表的scene_id字段 */
    @Excel(name = "所属场景ID")
    private Long sceneId;

    /** 报警级别，关联表hw_alarm_level字段alarm_level_id */
    @Excel(name = "报警级别ID")
    private Long alarmLevelId;

    /** 规则类型（1设备,2监控单元,3场景） */
    @Excel(name = "规则类型", readConverterExp = "1=设备,2=监控单元,3=场景")
    private String ruleType;

    /** 离线时间（单位：秒，大于此时间的） */
    @Excel(name = "离线时间(单位：秒)")
    private Long offlineTime;

    /** 几分钟内掉线次数的分钟 */
    @Excel(name = "几分钟内掉线次数的分钟")
    private Long offlineNumberTime;

    /** 几分钟内掉线次数的次数 */
    @Excel(name = "几分钟内掉线次数的次数")
    private Long offlineNumber;

    /** 无线信号强度（小于等于，1=极弱,2=弱,3=中,4=强,5=极强） */
    private String triggerTimeFrame;

    /** 当月消耗流量（大于） */
    private Long consumeTraffic;

    /** 电池电量（小于）,范围是0.01-1 */
    private BigDecimal batteryLevel;

    /** 设备掉电报警（1=是,0=否） */
    private String powerDownFlag;

    /** 联动标识（1是,0否） */
    @Excel(name = "联动标识", readConverterExp = "1=是,0=否")
    private String linkFlag;

    /** 报警启用状态(1是,0否） */
    @Excel(name = "状态(1=启用,0=禁用）")
    private String alarmRuleStatus;

    /** 报警推送标识(1是,0否） */
    private String alarmPushFlag;

    /** 报警推送内容 */
    private String alarmPushContent;

    /** 恢复正常推送内容 */
    private String alarmRecoverContent;

    /** 预留字段 */
    private String offlineRuleField;

    /** 报警规则联动信息信息 */
    private List<HwAlarmRuleLink> hwAlarmRuleLinkList;

    @Excel(name = "租户名称")
    private String tenantName;

    @Excel(name = "场景名称")
    private String sceneName;

    @Excel(name = "报警级别名称")
    private String alarmLevelName;


    public void setOfflineRuleId(Long offlineRuleId) 
    {
        this.offlineRuleId = offlineRuleId;
    }

    public Long getOfflineRuleId() 
    {
        return offlineRuleId;
    }
    public void setOfflineRuleName(String offlineRuleName) 
    {
        this.offlineRuleName = offlineRuleName;
    }

    public String getOfflineRuleName() 
    {
        return offlineRuleName;
    }
    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }
    public void setAlarmLevelId(Long alarmLevelId) 
    {
        this.alarmLevelId = alarmLevelId;
    }

    public Long getAlarmLevelId() 
    {
        return alarmLevelId;
    }
    public void setRuleType(String ruleType) 
    {
        this.ruleType = ruleType;
    }

    public String getRuleType() 
    {
        return ruleType;
    }
    public void setOfflineTime(Long offlineTime) 
    {
        this.offlineTime = offlineTime;
    }

    public Long getOfflineTime() 
    {
        return offlineTime;
    }
    public void setOfflineNumberTime(Long offlineNumberTime) 
    {
        this.offlineNumberTime = offlineNumberTime;
    }

    public Long getOfflineNumberTime() 
    {
        return offlineNumberTime;
    }
    public void setOfflineNumber(Long offlineNumber) 
    {
        this.offlineNumber = offlineNumber;
    }

    public Long getOfflineNumber() 
    {
        return offlineNumber;
    }
    public void setTriggerTimeFrame(String triggerTimeFrame) 
    {
        this.triggerTimeFrame = triggerTimeFrame;
    }

    public String getTriggerTimeFrame() 
    {
        return triggerTimeFrame;
    }
    public void setConsumeTraffic(Long consumeTraffic) 
    {
        this.consumeTraffic = consumeTraffic;
    }

    public Long getConsumeTraffic() 
    {
        return consumeTraffic;
    }
    public void setBatteryLevel(BigDecimal batteryLevel) 
    {
        this.batteryLevel = batteryLevel;
    }

    public BigDecimal getBatteryLevel() 
    {
        return batteryLevel;
    }
    public void setPowerDownFlag(String powerDownFlag) 
    {
        this.powerDownFlag = powerDownFlag;
    }

    public String getPowerDownFlag() 
    {
        return powerDownFlag;
    }
    public void setLinkFlag(String linkFlag) 
    {
        this.linkFlag = linkFlag;
    }

    public String getLinkFlag() 
    {
        return linkFlag;
    }
    public void setAlarmRuleStatus(String alarmRuleStatus) 
    {
        this.alarmRuleStatus = alarmRuleStatus;
    }

    public String getAlarmRuleStatus() 
    {
        return alarmRuleStatus;
    }
    public void setAlarmPushFlag(String alarmPushFlag) 
    {
        this.alarmPushFlag = alarmPushFlag;
    }

    public String getAlarmPushFlag() 
    {
        return alarmPushFlag;
    }
    public void setAlarmPushContent(String alarmPushContent) 
    {
        this.alarmPushContent = alarmPushContent;
    }

    public String getAlarmPushContent() 
    {
        return alarmPushContent;
    }
    public void setAlarmRecoverContent(String alarmRecoverContent) 
    {
        this.alarmRecoverContent = alarmRecoverContent;
    }

    public String getAlarmRecoverContent() 
    {
        return alarmRecoverContent;
    }
    public void setOfflineRuleField(String offlineRuleField) 
    {
        this.offlineRuleField = offlineRuleField;
    }

    public String getOfflineRuleField() 
    {
        return offlineRuleField;
    }

    public List<HwAlarmRuleLink> getHwAlarmRuleLinkList()
    {
        return hwAlarmRuleLinkList;
    }

    public void setHwAlarmRuleLinkList(List<HwAlarmRuleLink> hwAlarmRuleLinkList)
    {
        this.hwAlarmRuleLinkList = hwAlarmRuleLinkList;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public String getAlarmLevelName() {
        return alarmLevelName;
    }

    public void setAlarmLevelName(String alarmLevelName) {
        this.alarmLevelName = alarmLevelName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("offlineRuleId", getOfflineRuleId())
            .append("offlineRuleName", getOfflineRuleName())
            .append("tenantId", getTenantId())
            .append("sceneId", getSceneId())
            .append("alarmLevelId", getAlarmLevelId())
            .append("ruleType", getRuleType())
            .append("offlineTime", getOfflineTime())
            .append("offlineNumberTime", getOfflineNumberTime())
            .append("offlineNumber", getOfflineNumber())
            .append("triggerTimeFrame", getTriggerTimeFrame())
            .append("consumeTraffic", getConsumeTraffic())
            .append("batteryLevel", getBatteryLevel())
            .append("powerDownFlag", getPowerDownFlag())
            .append("linkFlag", getLinkFlag())
            .append("alarmRuleStatus", getAlarmRuleStatus())
            .append("alarmPushFlag", getAlarmPushFlag())
            .append("alarmPushContent", getAlarmPushContent())
            .append("alarmRecoverContent", getAlarmRecoverContent())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("offlineRuleField", getOfflineRuleField())
            .append("hwAlarmRuleLinkList", getHwAlarmRuleLinkList())
            .toString();
    }
}
