package com.ruoyi.dataprocess.mapper;


import com.ruoyi.dataprocess.domain.HwElectronicFence;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 电子围栏实体类
 * @ClassName: HwElectronicFenceMapper
 * @Author : xins
 * @Date :2023-09-03  11:48
 * @Version :1.0
 */
public interface HwElectronicFenceMapper {

    public List<HwElectronicFence> selectSuitableElectronicFenceList(@Param("deviceId") Long deviceId,
                                                                     @Param("monitorUnitId") Long monitorUnitId,
                                                                     @Param("sceneId") Long sceneId);

    /**
     * @param: deviceId
     * @description 根据设备ID获取电子围栏配置
     * @author xins
     * @date 2023-09-03 12:10
     * @return List<HwElectronicFence>
     */
    public List<HwElectronicFence> selectElectronicFencesByDeviceId(Long deviceId);

    /**
     * @param: monitorUnitId
     * @description 根据监控单元ID获取电子围栏配置
     * @author xins
     * @date 2023-09-03 12:11
     * @return List<HwElectronicFence>
     */
    public List<HwElectronicFence> selectElectronicFencesByMonitorUnitId(Long monitorUnitId);

    /**
     * @param: sceneId
     * @description 根据场景Id获取电子围栏配置
     * @author xins
     * @date 2023-09-03 12:11
     * @return List<HwElectronicFence>
     */
    public List<HwElectronicFence> selectElectronicFencesBySceneId(Long sceneId);


}
