import request from '@/utils/request'

// 查询报警级别列表
export function listAlarmLevel(query) {
  return request({
    url: '/business/alarmLevel/list',
    method: 'get',
    params: query
  })
}

// 查询报警级别详细
export function getAlarmLevel(alarmLevelId) {
  return request({
    url: '/business/alarmLevel/' + alarmLevelId,
    method: 'get'
  })
}

// 新增报警级别
export function addAlarmLevel(data) {
  return request({
    url: '/business/alarmLevel',
    method: 'post',
    data: data
  })
}

// 修改报警级别
export function updateAlarmLevel(data) {
  return request({
    url: '/business/alarmLevel',
    method: 'put',
    data: data
  })
}

// 删除报警级别
export function delAlarmLevel(alarmLevelId) {
  return request({
    url: '/business/alarmLevel/' + alarmLevelId,
    method: 'delete'
  })
}


// 查询场景信息列表供查询页面选择使用（例如下拉列表）
export function getScenes(query) {
  return request({
    url: '/business/alarmLevel/getScenes',
    method: 'get',
    params: query
  })
}

// 查询场景信息列表供编辑页面选择使用（例如下拉列表）
export function getEditedScenes(query) {
  return request({
    url: '/business/alarmLevel/getEditedScenes',
    method: 'get',
    params: query
  })
}
