import request from '@/utils/request'

// 查询报警类型列表
export function listAlarmType(query) {
  return request({
    url: '/business/alarmType/list',
    method: 'get',
    params: query
  })
}

// 查询报警类型详细
export function getAlarmType(alarmTypeId) {
  return request({
    url: '/business/alarmType/' + alarmTypeId,
    method: 'get'
  })
}

// 新增报警类型
export function addAlarmType(data) {
  return request({
    url: '/business/alarmType',
    method: 'post',
    data: data
  })
}

// 修改报警类型
export function updateAlarmType(data) {
  return request({
    url: '/business/alarmType',
    method: 'put',
    data: data
  })
}

// 删除报警类型
export function delAlarmType(alarmTypeId) {
  return request({
    url: '/business/alarmType/' + alarmTypeId,
    method: 'delete'
  })
}


// 查询场景信息列表供查询页面选择使用（例如下拉列表）
export function getScenes(query) {
  return request({
    url: '/business/alarmType/getScenes',
    method: 'get',
    params: query
  })
}

// 查询场景信息列表供编辑页面选择使用（例如下拉列表）
export function getEditedScenes(query) {
  return request({
    url: '/business/alarmType/getEditedScenes',
    method: 'get',
    params: query
  })
}
