import request from '@/utils/request'

// 查询设备模型列表
export function listDeviceMode(query) {
  return request({
    url: '/business/deviceMode/list',
    method: 'get',
    params: query
  })
}

// 查询设备模型详细
export function getDeviceMode(deviceModeId) {
  return request({
    url: '/business/deviceMode/' + deviceModeId,
    method: 'get'
  })
}

// 新增设备模型
export function addDeviceMode(data) {
  return request({
    url: '/business/deviceMode',
    method: 'post',
    data: data
  })
}

// 修改设备模型
export function updateDeviceMode(data) {
  return request({
    url: '/business/deviceMode',
    method: 'put',
    data: data
  })
}

// 删除设备模型
export function delDeviceMode(deviceModeId) {
  return request({
    url: '/business/deviceMode/' + deviceModeId,
    method: 'delete'
  })
}

// 查询场景信息列表供插叙页面选择使用（例如下拉列表）
export function getScenes(query) {
  return request({
    url: '/business/deviceMode/getScenes',
    method: 'get',
    params: query
  })
}

// 查询场景信息列表供编辑页面选择使用（例如下拉列表）
export function getEditedScenes(query) {
  return request({
    url: '/business/deviceMode/getEditedScenes',
    method: 'get',
    params: query
  })
}

// 重新生成tdengine所有超级表
export function rebuildTdSuperTables() {
  return request({
    url: '/business/deviceMode/rebuildTdSuperTables',
    method: 'get'
  })
}
