import request from '@/utils/request'

// 查询离线报警规则列表
export function listOfflineRule(query) {
  return request({
    url: '/business/offlineRule/list',
    method: 'get',
    params: query
  })
}

// 查询离线报警规则详细
export function getOfflineRule(offlineRuleId) {
  return request({
    url: '/business/offlineRule/' + offlineRuleId,
    method: 'get'
  })
}

// 新增离线报警规则
export function addOfflineRule(data) {
  return request({
    url: '/business/offlineRule',
    method: 'post',
    data: data
  })
}

// 修改离线报警规则
export function updateOfflineRule(data) {
  return request({
    url: '/business/offlineRule',
    method: 'put',
    data: data
  })
}

// 删除离线报警规则
export function delOfflineRule(offlineRuleId) {
  return request({
    url: '/business/offlineRule/' + offlineRuleId,
    method: 'delete'
  })
}

// 查询场景信息列表供查询页面选择使用（例如下拉列表）
export function getScenes(query) {
  return request({
    url: '/business/alarmRule/getScenes',
    method: 'get',
    params: query
  })
}

// 查询场景信息列表供编辑页面选择使用（例如下拉列表）
export function getEditedScenes(query) {
  return request({
    url: '/business/alarmRule/getEditedScenes',
    method: 'get',
    params: query
  })
}

export function getSelectListBySceneId(sceneId) {
  return request({
    url: '/business/alarmRule/getSelectListBySceneId/' + sceneId,
    method: 'get'
  })
}

export function getDeviceModeByDeviceId(deviceId) {
  return request({
    url: '/business/alarmRule/getDeviceModeByDeviceId/' + deviceId,
    method: 'get'
  })
}


// 查询监控单元树
export function monitorUnitTree(query) {
  return request({
    url: '/business/offlineRule/allocateDevice/monitorUnitTree',
    method: 'get',
    params: query
  })
}

// 查询离线报警规则已分配设备列表
export function allocatedDeviceList(query) {
  return request({
    url: '/business/offlineRule/allocateDevice/allocatedList',
    method: 'get',
    params: query
  })
}

// 查询离线报警规则未分配设备列表
export function unallocatedDeviceList(query) {
  return request({
    url: '/business/offlineRule/allocateDevice/unallocatedList',
    method: 'get',
    params: query
  })
}


// 批量分配离线报警规则目标列表
export function batchInsertOfflineTarget(data) {
  return request({
    url: '/business/offlineRule/allocateTarget/batchInsertOfflineTarget',
    method: 'put',
    params: data
  })
}


// 取消离线报警规则分配目标
export function cancelAllocateDevice(data) {
  return request({
    url: '/business/offlineRule/allocateTarget/cancelAllocateDevice',
    method: 'put',
    data: data
  })
}

// 批量取消离线报警规则目标列表
export function cancelAllocateDevices(data) {
  return request({
    url: '/business/offlineRule/allocateTarget/cancelAllocateDevices',
    method: 'put',
    params: data
  })
}

